> ## Documentation Index
> Fetch the complete documentation index at: https://biscon.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Changes

> This endpoint is used to get the recent changes for a movie.




## OpenAPI

````yaml get /movie/{movie_id}/changes
openapi: 3.0.3
info:
  title: TMDB API DOCUMENTATION
  description: >-
    The Movie Database is an API that provides comprehensive movie, TV show, and
    celebrity data. TMDB offers APIs that developers use to access and integrate
    its data into applications, websites, or services.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Endpoints for managing authentication, including login and user sessions.
  - name: Account
    description: Endpoints for managing user accounts, such as profiles and settings.
  - name: Certification
    description: Endpoints for retrieving and managing certification data.
  - name: Changes
    description: Endpoints for tracking changes and updates across the system.
  - name: Collection
    description: Endpoints for managing and accessing user collections.
  - name: Companies
    description: Endpoints for retrieving and managing company-related data.
  - name: Configuration
    description: Endpoints for accessing and updating system configuration settings.
  - name: Credits
    description: Endpoints for retrieving credit information related to movies or shows.
  - name: Discover
    description: Endpoints for discovering content based on filters and criteria.
  - name: Find
    description: Endpoints for locating specific items or entities in the database.
  - name: Genres
    description: Endpoints for retrieving and managing genres for categorization.
  - name: Guest Sessions
    description: Endpoints for creating and managing guest user sessions.
  - name: Keywords
    description: Endpoints for managing and searching content using keywords.
  - name: Lists
    description: Endpoints for creating and managing user-generated lists.
  - name: Movie Lists
    description: Endpoints for retrieving and managing lists of movies.
  - name: Movies
    description: Endpoints for retrieving detailed information about movies.
  - name: Networks
    description: Endpoints for retrieving and managing network-related data.
  - name: People Lists
    description: Endpoints for retrieving and managing lists of people in the system.
  - name: People
    description: Endpoints for retrieving information about actors, directors, and others.
  - name: Search
    description: Endpoints for performing searches across multiple categories.
  - name: Reviews
    description: Endpoints for managing and displaying reviews from users.
  - name: Trending
    description: Endpoints for retrieving trending content based on popularity.
  - name: TV Series Lists
    description: Endpoints for retrieving and managing lists of TV series.
  - name: TV Series
    description: Endpoints for retrieving detailed information about TV series.
  - name: TV Seasons
    description: Endpoints for retrieving and managing information about TV seasons.
  - name: TV Episodes
    description: Endpoints for retrieving and managing information about TV episodes.
  - name: TV Episode Groups
    description: Endpoints for managing groups of TV episodes organized by criteria.
  - name: Watch Providers
    description: >-
      Endpoints for retrieving availability information from streaming
      providers.
  - name: Auth
    description: >-
      Endpoints for managing version4 authentication, including login and user
      sessions.
  - name: Lists
    description: >-
      Endpoints for managing version4 authentication, including login and user
      sessions.
paths:
  /movie/{movie_id}/changes:
    get:
      tags:
        - Movies
      summary: Changes
      description: |
        This endpoint is used to get the recent changes for a movie.
      operationId: moviesChanges
      parameters:
        - name: movie_id
          in: path
          required: true
          schema:
            type: integer
          description: The ID of the movie
        - name: end_date
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/date'
          description: The end date of the movie
        - name: page
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/string'
          description: Defaults to 1
        - name: start_date
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/date'
          description: The start date of the movie
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  changes:
                    type: array
                    description: Represent changes or updates made to a movie
                  key:
                    type: string
                    description: A unique identifier for the change
                  items:
                    type: array
                    description: >-
                      A list of objects that detail the specific items affected
                      by the change
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        action:
                          type: string
                        time:
                          type: string
                        iso_639_1:
                          type: string
                        iso_3166_1:
                          type: string
                        value:
                          type: object
                example:
                  changes:
                    - key: images
                      items:
                        - id: 67748b492efbf3b41d929068
                          action: added
                          time: 2025-01-01 00:24:41 UTC
                          iso_639_1: ''
                          iso_3166_1: ''
                          value:
                            poster:
                              file_path: /l5FwaNDvTOHLjS2RK4WcVI7AwgK.jpg
                        - id: 67748b55fbe3722a986199d6
                          action: updated
                          time: 2025-01-01 00:24:53 UTC
                          iso_639_1: fr
                          iso_3166_1: ''
                          value:
                            poster:
                              file_path: /l5FwaNDvTOHLjS2RK4WcVI7AwgK.jpg
                              iso_639_1: fr
                          original_value:
                            poster:
                              file_path: /l5FwaNDvTOHLjS2RK4WcVI7AwgK.jpg
                              iso_639_1: null
                        - id: 67752ce96234c1b46f61903c
                          action: added
                          time: 2025-01-01 11:54:17 UTC
                          iso_639_1: ''
                          iso_3166_1: ''
                          value:
                            poster:
                              file_path: /oYn2r1ObQnFLgiEh7aDmY353dQo.jpg
                    - key: tagline
                      items:
                        - id: 67748c4b63f90f8f6692aa0d
                          action: updated
                          time: 2025-01-01 00:28:59 UTC
                          iso_639_1: fr
                          iso_3166_1: FR
                          value:
                            primary: false
                            tagline: Étrange. Confusion. Chaos.
                          original_value:
                            primary: false
                            tagline: Chaos. Confusion. Savon.
components:
  schemas:
    date:
      type: string
      format: date
    string:
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.